# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.media.mediarss
Enum MediaContent.Expression

    java.lang.Object
      java.lang.Enum<MediaContent.Expression>
          com.google.gdata.data.media.mediarss.MediaContent.Expression

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MediaContent.Expression>

Enclosing class:
  MediaContent

    public static enum MediaContent.Expression

extends java.lang.Enum<MediaContent.Expression>

Values for the expression attribute: sample, full and nonstop.

Enum Constant Summary
`FULL`
`NONSTOP`
`SAMPLE`

Method Summary
`static MediaContent.Expression` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MediaContent.Expression[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SAMPLE

    public static final MediaContent.Expression SAMPLE

### FULL

    public static final MediaContent.Expression FULL

### NONSTOP

    public static final MediaContent.Expression NONSTOP

Method Detail

### values

    public static MediaContent.Expression[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MediaContent.Expression c : MediaContent.Expression.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MediaContent.Expression valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null